Summary: User and Group Configuration Tool
Name: usercfg
Icon: usercfg.gif
Version: 3.5
Release: 7
Copyright: GPL
Group: Utilities/System
Source: usercfg-3.5.tar.gz
Requires: pythonlib >= 1.20, python, tkinter
BuildArchitectures: noarch
Summary(de): Tool zum Konfigurieren von Benutzern und Gruppen
Summary(fr): Outil de configuration des utilisateurs et des groupes
Summary(tr): Kullanc ve grup yaplandrma arac

%description
The User and Group Configurator Tool provides a graphical user
interface which allows you to add users to your system, remove
them, edit their characteristics, and manage groups of users.

%description -l de
Das Tool zum Konfigurieren von Benutzern und Gruppen bietet
grafische Benutzeroberflche, auf der Sie Benutzer hinzufgen und entfernen,
die Einstellungen ndern und Benutzergruppen verwalten knnen.

%description -l fr
L'outil de configuration pour les utilisateurs et les groupes fournit
une interface graphique qui vous permet d'ajouter et de supprimer
des utilisateurs  votre systme, et de girer les groupes d'utilisateurs.

%description -l tr
Sisteme kullanc eklemek ve karmak, bu kullanclarn sisteme bilgilerini
deitirmek ve kullanc gruplarn denetlemek amacyla kullanlr.

%changelog
* Mon Apr 27 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>

- wmconfig files take paths, only for root

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>

- requires tkinter

* Tue Oct 28 1997 Otto Hammersmith <otto@redhat.com>

- fixed control-panel icon name in usercfg.init

* Fri Oct 24 1997 Michael K. Johnson <johnsonm@redhat.com>

- Moved redundant stuff into pythonlib, so requires 1.20
- Several bugs fixed in locking/unlocking users

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>

- made a noarch package

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>

- Only remove users' regular files, not devices, etc.
- Requires pythonlib 1.17 or higher so that deleteing "foo" doesn't
  delete "foobar"

%prep
%setup

%build
unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python
make

%install
unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python
mkdir -p /usr/lib/rhs/control-panel
rm -rf /usr/lib/rhs/usercfg
make install
mkdir -p /usr/share/icons
cp /usr/lib/rhs/control-panel/usercfg.xpm /usr/share/icons
chmod 600 /etc/X11/wmconfig/usercfg

%files
/usr/bin/usercfg
/usr/lib/rhs/usercfg
/usr/lib/rhs/control-panel/usercfg.init
/usr/lib/rhs/control-panel/usercfg.xpm
/usr/share/icons/usercfg.xpm
%config(missingok) /etc/X11/wmconfig/usercfg
